import React from "react";
import { useNavigate } from "react-router-dom";
import { Button, Popconfirm, message } from "antd";
import { ProTable } from "@ant-design/pro-components";
import { queryTable, queryDict } from "@/utils/request";
import Page from "@/components/Page";



export default (props) => {
  const actionRef = React.useRef();
  const navigate = useNavigate();

  const handleDelete = () => {

  }

  const columns = [
    {
      title: "姓名",
      dataIndex: "userName",
    },
    {
      title: "电话",
      dataIndex: "phone",
      search: false,
    },
    {
      title: "操作",
      valueType: "option",
      width: 200,
      render: (_, record) => [
        <Button
          key={3}
          style={{ padding: 0 }}
          type="link"
          disabled
          onClick={() => {
            navigate(`/user/edit?id=${record}`);
          }}
        >
          编辑
        </Button>,
        <Popconfirm
          key={4}
          title="您是否确认删除 ?"
          onConfirm={() => handleDelete(record)}
          okText="确定"
          cancelText="取消"
        >
          <Button style={{ padding: 0 }} type="link">
            删除
          </Button>
        </Popconfirm>,
      ],
    },
  ];

  return (
    <Page>
      <ProTable
        actionRef={actionRef}
        rowKey=""
        toolBarRender={() => [
          <Button
            key="1"
            type="primary"
            onClick={() => {
              navigate("/user/edit");
            }}
          >
            新增
          </Button>,
        ]}
        // request={{}}
        columns={columns}
      />
    </Page>
  );
};
