import { useState, useRef } from "react";
import { defaultRoutes, authRoutes, mergeAuthRoutes } from "@/routes/routes";
import { getMenuItems } from "@/routes/menus";
// import { getAuthedRoutes } from "@/routes/permissions";
import { isLogin } from "@/services/login";

export default function useUser () {
  const [user, setUser] = useState();
  const menusRef = useRef();
  const routesRef = useRef();

  const getCurrentUser = (params) =>
    new Promise((resolve, reject) => {
      isLogin(params)
        .then((res) => {
          const { user } = res;
          // const permissions = res;

          // authRoutes 是所有待验证授权的路由
          // authedRoutes 是已经被授权的路由
          // const authedRoutes = authRoutes;

          menusRef.current = getMenuItems(defaultRoutes);
          routesRef.current = mergeAuthRoutes(defaultRoutes);
          // console.log('menusRef.current', menusRef.current)

          setUser(user);
          resolve(user);
        })
        .catch(reject);
    });

  return {
    user,
    setUser,
    getCurrentUser,
    menus: menusRef.current || [],
    routes: routesRef.current || [],
  };
}
